Bug 197610 - CVE-2006-2936 Possible DoS in write routine of ftdi_sio driver
CVE-2006-2936 Possible DoS in write routine of ftdi_sio driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
impact=low,source=vendorsec,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 11:37 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0617
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 14:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 - Abbreviated version for RHEL-4 (5.01 KB, patch)
2006-07-08 02:38 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Marcel Holtmann 2006-07-04 11:37:58 EDT
Patch from Ian Abbott <abbotti@mev.co.uk>

This patch limits the amount of outstanding 'write' data that can be queued up
for the ftdi_sio driver, to prevent userspace DoS attacks (or simple accidents)
that use up all the system memory by writing lots of data to the serial port.

http://www.kernel.org/git/?p=linux/kernel/git/gregkh/patches.git;a=blob;h=4b4d9cfea17618b80d3ac785b701faeaf60141f1;hb=396eb2aac550ec55856c6843ef9017e800c3d656;f=usb/usb-serial-ftdi_sio-prevent-userspace-dos.patch
Comment 1 Pete Zaitcev 2006-07-08 02:38:05 EDT
Created attachment 132097 [details]
Candidate #1 - Abbreviated version for RHEL-4

I threw out the unrelated garbage from the receive path.
Comment 2 Jason Baron 2006-08-07 14:46:51 EDT
committed in stream E5 build 42.0.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 5 Red Hat Bugzilla 2006-08-22 14:49:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0617.html
Comment 6 Jason Baron 2006-08-30 13:47:18 EDT
committed in stream U5 build 42.4. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/

Note You need to log in before you can comment on or make changes to this bug.